@charset "utf-8";
/*
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
トラステック標準WEBサイト PHP + BootStrap
MITSUKE KNIT商品　カスタム対応
	ver.2026.02.05.mitsukeknit.jp
	競技会のご案内		スタイルシート
────────────────────────────────────────
FileName:		/resources/css/product.css
Editor:			TRUSTEC
Description:	MITSUKE KNIT商品　スタイルシート。
────────────────────────────────────────
2025/02/05:		サンプル開発開始。
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*/





/* ::::: [CUSTOM PROPERTIES] ::::: */
:root {
}





/* ::::: [COMMON-PARTS: OVER WRITE] ::::: */
#topics-page-title {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url(../images/products/products-intro-background.jpg);
}

@media(max-width: 991px){
    #topics-page-title {
        background-image: url(../images/products/products-intro-background-md.jpg);
    }
}
@media(max-width: 767px){
    #topics-page-title {
        padding-top: 1rem !important;
    }
}
.page-intro-article{
    margin-bottom: calc(var(--common-margin-width) / 6);
}
@media (max-width: 767px) {
	.page-intro-article{
		margin-bottom: calc(var(--common-margin-width) / 2);
	}
}


/* products
--------- --------- --------- ------- */
.products-our-brand-picture-1{
    border-radius: 60px !important;
    max-width: 650px;
    margin: auto !important;
}
@media(max-width: 991px){
	.products-our-brand-picture-1{
		max-width: 600px;
	}
}
@media(max-width: 645px){
	.products-our-brand-picture-1{
		border-radius: 0 !important;
	}
}
.products-our-brand-picture{
	overflow: hidden;
	width: 100%;
}
.products-our-brand-picture .picture-2{
	transform: translateX(-8rem);
	border-radius: 50%;
    width: 60%;
    min-width: 900px;
	z-index: -1;
}
.products-our-brand-picture .picture-3{
    right: -45%;
    position: relative;
	border-radius: 50%;
    width: 60%;
    min-width: 900px;
	z-index: -1;
}
@media(max-width: 991px){
	.products-our-brand-picture .common-picture{
/*		border-radius: 60px;
		width: 100%;*/
        max-width: 600px;
/*		min-width: unset;
		margin: auto;*/
	}
	.products-our-brand-picture .picture-2{
		transform: translateX(-10rem);
	}
	.products-our-brand-picture .picture-3{
		transform: translateX(0);
        right: -20%;
        position: relative;
	}
}
@media(max-width: 645px){
	.products-our-brand-picture .picture-2,
	.products-our-brand-picture .picture-3{
		transform: translateX(0);
		right: 0;
	}
	.products-our-brand-picture .common-picture{
		border-radius: 0;
		width: 100%;
        max-width: 600px;
		min-width: unset;
		margin: auto;
	}
}
.features-wrapper{
	position: relative;
}
.products-our-brand-article-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
	width: 70%;
	max-width: 700px;
}
@media(max-width: 1199px){
	.products-our-brand-article-wrapper{
		max-width: 650px;
	}
}

.article-1,
.article-2{
    position: absolute;
    bottom: 5%;
    right: 2%;
	background-color: #f2f0ea82;
	padding-bottom: 5em;
	padding-top: 5em;
	border-radius: 60px;
}
.article-2{
    bottom: 5%;
    left: 2%;
    padding-right: 2.5rem;
}
.products-our-brand-intro,
.products-our-brand-article{
    width: 85%;
    margin: auto;
    max-width: 725px;
}
.products-our-brand-intro{

}
.products-our-brand-article{
	margin-right: 0;
}
@media(max-width: 1049px){
	.products-our-brand-intro{
		width: 90%;
		max-width: 775px;
		margin-right: 1em;
	}
}
@media(max-width: 991px){
	.products-our-brand-intro{
        width: fit-content;
        max-width: 775px;
        margin-right: unset;
        margin: auto;
		padding: 0 .5em !important;
	}
	.products-our-brand-article{
        max-width: 580px;
        padding-left: 3rem;
        margin-top: 2rem;
	}
	.products-our-brand-text{
		width: fit-content;
		margin: auto;
        margin-top: 2rem;
	}
	.article-1{
	    padding-bottom: 4em;
		bottom: -5%;
		right: 0;
		max-width: unset;
		width: 80%;
		border-bottom-right-radius: 0;
		border-top-right-radius: 0;
	}
	.article-2{
	    padding-bottom: 4em;
		bottom: -5%;
		left: 0;
		max-width: unset;
		width: 80%;
		border-bottom-left-radius: 0;
		border-top-left-radius: 0;
	}
}
@media(max-width: 645px){
	.products-our-brand-intro{
		padding: 0 !important;
	}
	.products-our-brand-intro .article-title,
	.products-our-brand-intro .products-our-brand-text{
		padding: 0 .5rem;
		margin-bottom: .5rem;
	}
	.article-1,
	.article-2{
		position: static;
		bottom: 0;
		right: 0;
		padding-top: 2rem;
		padding-right: 1rem;
		width: 100%;
	}
	.products-our-brand-article{
		margin: auto;
	}
}
@media(max-width: 599px){
	.products-our-brand-article{
        margin-left: auto;
        margin-right: unset;
        width: 85%;
        max-width: 600px;
		padding: 0;
	}
}

.products-our-brand-article-wrapper .article-2{
    margin-right: 0;
    margin-left: auto;
}
.products-our-brand-article-wrapper .article-title{
	position: relative;
    margin-bottom: 1.3em;
}
@media(max-width: 991px){
	.products-our-brand-article-wrapper .article-title{
		margin-bottom: .8em;
		width: auto;
		padding: 0 !important;
	}
}
.products-our-brand-article-wrapper .article-title .title {
    font-weight: 400;
    line-height: 1.5em;
}
.products-our-brand-article .article-title .title-short::before{
    content: url(../images/common/headline-icon.svg);
	display: inline-block;
    margin-bottom: .35em;
    width: 1em;
    height: 1em;
}
.products-our-brand-article .article-title .title-short{
    position: absolute;
    writing-mode: vertical-rl;
    text-orientation: mixed;
    display: flex;
    align-items: center;
    left: -3.5em;
    font-size: max(1.1rem, 1.1vw);
    white-space: nowrap;
}
@media(max-width: 991px){
	.products-our-brand-article .article-title .title-short{
		left: -2.5em;
	}
}
.article-text-wrapper .article-text:not(:first-child){
	margin-top: 0;
}
.products-logo-list{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 3em;
    row-gap: 2em;
    margin-top: 1.5em;
    justify-content: center;
}
.products-logo-list:before {
    content: "";
    border: 1px solid #d3d3d3;
	align-self: stretch;
}
.products-logo-wrapper {
	flex: 1;
    max-width: 400px;
    max-height: 110px;
}
.products-logo-wrapper-start {
    order: -1;
}
.products-logo-wrapper .common-picture{
    object-fit: contain;
    max-width: 400px;
    max-height: 110px;
}
@media(max-width: 645px){
    .products-logo-list {
        align-items: center;
        flex-direction: column;
        margin-top: 2em;
    }
	.products-logo-wrapper .common-picture{
		max-width: 250px;
		max-height: 65px;
	}
}

/* products
--------- --------- --------- ------- */
.products-card{
    width: 20%;
    max-width: 400px;
    min-width: 300px;
    background-color: transparent;
    border: none;
    border-radius: 0px;
}
.products-card .card-img-top{
    aspect-ratio: 1 / 1;
    max-width: 400px;
    min-width: 300px;
}
.products-card .card-body{
    padding: .5rem 1rem;
}
@media(max-width: 991px){
	.products-card{
		width: 40%;
	}
	.products-card .card-img-top{
		min-width: unset;
	}
}
@media(max-width: 767px){
	.products-card{
		min-width: 200px;
	}
}

@media (max-width: 576px) {
	.products-card{
		width: 100%;
		min-width: unset;
	}
}
.products-card .card-img-top .common-picture{
	border-radius: 60px !important;
}
.products-card-list{
	display: flex;
    justify-content: flex-start;
	flex-wrap: wrap;
	gap: 1.5rem 2rem;
    padding: 0;
}
.products-card .card-body .card-title{
    font-weight: 500;
    font-size: max(1.1rem, 1.1vw);
    line-height: 1.5em;
    margin-bottom: .5em;
    letter-spacing: var(--common-letter-spacing-title);
}
.products-card .card-body .card-text{
    font-size: max(.9rem, .9vw);
    font-weight: 400;
    line-height: 1.5em;
}



/* online shop
--------- --------- --------- ------- */
.products-online-shop-wrapper .article-title .title-short,
.products-online-shop-wrapper .article-title .title-short::first-letter,
.products-online-shop-wrapper .article-title .title,
.products-online-shop-wrapper .article-text,
.products-online-shop-wrapper .annotation{
	color: #ffffff;
}
.products-online-shop-wrapper .link-button{
    background-color: #ffffffd1;
    border-radius: 10rem;
    max-width: 25rem;
    padding: 1rem 5rem;
    margin-top: 2rem;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
	position: relative;
	transition: .4s;
}
.link-button-a{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.products-online-shop-wrapper .link-button:hover{
	background-color: #261A18;
	color: #ffffff;
	transition: .4s;
}
.products-online-shop-wrapper .link-button .icon{
    width: 1.5em;
    height: 1.5em;
    display: block;
    margin-left: .4em;
	position: relative;
    transition: .4s;
}
.products-online-shop-wrapper .link-button .icon:before{
    content: url(../images/common/shopping-cart-icon-1.svg);
    font-size: 1rem;
    position: absolute;
	width: 1.2em;
    height: 1.2em;
    display: block;
    animation-fill-mode: forwards;
    justify-content: center;
    align-items: center;
    transition: 1s;
}
.products-online-shop-wrapper .link-button:hover .icon:before{
    content: url(../images/common/shopping-cart-icon-2.svg);
    transition: 1s;
}
.products-online-shop-wrapper .link-button .span::after {
    background-color: var(--common-accent-color);
}
.products-online-shop-wrapper .annotation{
    font-size: max(.85rem, .85vw);
}
.products-online-shop-wrapper{
	background-color: #746D5D;
	border-radius: 120px;
    padding: 5rem;
    min-height: 80vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right;
    background-image: url(../images/products/products-online-shop-background.jpg);
	display: flex;
    align-items: center;
    justify-content: flex-start;
}
.products-online-shop-wrapper .text-wrapper{
    margin-left: clamp(3rem, 5vw, 5rem);
}
@media(max-width: 767px){
	.products-online-shop-wrapper{
		border-radius: 0;
		justify-content: center;
		background-image: url(../images/products/products-online-shop-background-md.jpg);
	}
	.products-online-shop-wrapper .text-wrapper{
		margin-left: 0;
	}
	.products-online-shop-wrapper .annotation{
        width: 100%;
        display: block;
        text-align: center;
	}
}
@media (max-width: 576px) {
	.products-online-shop-wrapper{
		padding: 5rem 1rem;
		background-image: url(../images/products/products-online-shop-background-sm.jpg);
	}
    .products-online-shop-wrapper .article-title {
        width: 100%;
        margin: 0;
    }
	.products-online-shop-wrapper .link-button{
		padding: 1rem 1.5rem;
	}
}



/* shops
--------- --------- --------- ------- */
.shops-card-wrapper{
    padding-top: 1em;
    padding-bottom: 1em;
	max-width: 800px;
}
.shops-card-wrapper .card{
    background-color: transparent;
    border: none;
    border-radius: 0;
}
.shops-card-wrapper .card-body{
    padding: 1rem 2.5rem;
}
@media(max-width: 991px){
	.shops-card-wrapper .card-body{
		padding: 1rem 0;
	}
}
.shop-picture{
	border-radius: 70px !important;
    width: 100%;
    height: 100%;
    max-width: initial;
    object-fit: contain;
    height: auto;
    object-position: center;
    display: block;
}
@media(max-width: 991px){
	.shop-picture{
		border-radius: 50px !important;
	}
}
@media(max-width: 767px){
	.shop-picture{
		border-radius: 40px !important;
	}
}
.shop-card-title{
    font-size: max(1.5rem, 1.6vw);
    letter-spacing: var(--common-letter-spacing-title);
    font-family: var(--common-font-family-serif);
    font-weight: 400;
    line-height: 1.5em;
    margin-bottom: .5em;
}
.shop-card-address,
.shop-card-open,
.shop-card-web{
    display: flex;
    flex-direction: row;
    align-items: baseline;
    justify-content: flex-start;
}
@media(max-width: 767px){
	.shop-card-address,
	.shop-card-open,
	.shop-card-web{
		flex-direction: column;
	}
}
.shop-card-address .text,
.shop-card-web .extlink .text {
    text-decoration: underline;
    color: var(--common-color);
}
.shop-card-address .text,
.shop-card-open .text,
.shop-card-web .extlink .text{
    color: var(--common-color);
    font-weight: 500;
    line-height: 1.5em;
    display: flex;
    align-items: stretch;
    justify-content: flex-start;
}
.shop-card-web .extlink .text::after{
	display: inline-block;
    margin-left: .35em;
    width: 1em;
    height: 1em;
}
.shop-card-web .extlink .text::after{
    content: url(../images/common/external-link-icon.svg);
}
@media(max-width: 767px){
	.shop-card-web .extlink .text::after{
		margin-left: 0;
	}
}


.our-brand-picture-1-animation-img {
    animation: our-brand-picture-1-transaRadiusButton .5s ease-out 0s 1 normal;
}
/* index-products-button-transaRadiusButton */
@keyframes our-brand-picture-1-transaRadiusButton {
  0% {
    border-radius: 150px;
  }
  100% {
    border-radius: 60px;
	@media (max-width: 991px) {
		border-radius: 0;
	}
  }
}
.products-online-shop-contents-animation{
    animation: products-online-shop-contents-transaRadiusButton .5s ease-out 0s 1 normal;
}
/* index-products-button-transaRadiusButton */
@keyframes products-online-shop-contents-transaRadiusButton {
  0% {
    transform:scaleX(0.99);
    border-radius: 320px;
	@media(max-width: 767px){
		border-radius: 120px;
	}
  }
  100% {
    transform:scaleX(1);
    border-radius: 120px;
	@media(max-width: 767px){
		border-radius: 0;
	}
  }
}